cmake_minimum_required(VERSION 3.22)

project(am-kernels)
set(CMAKE_C_STANDARD 11)
enable_language(C ASM)
include(CheckPIESupported)
include(GNUInstallDirs)

find_package(am-${ARCH})
find_package(klib)

check_pie_supported()

add_subdirectory(tests/cpu-tests)
# add_subdirectory(tests/alu-tests)
add_subdirectory(tests/am-tests)
add_subdirectory(benchmarks/microbench)
add_subdirectory(kernels)
